Articles of Homebrew

MySQLdb de Python no puede encontrar libmysqlclient.dylib con MySQL de fabricación casera

MySQL y Python instalados con Homebrew Instalé MySQL y Python con Homebrew en OS X 10.10.5 Yosemite. My Python 2.7 está en python -> ../Cellar/python/2.7.9/bin/python con un enlace simbólico a él en /usr/local/bin/python . En /usr/local/bin hay un enlace simbólico: mysql -> ../Cellar/mysql/5.7.9/bin/mysql El error En el shell de Python: >>> import MySQLdb Traceback (most […]

¿Instalación de Python en el entorno virtual de Mac OS X que incluye un marco que puedo incluir en Xcode?

Me gusta usar Python con numpy, scipy y algunos otros paquetes. Soy un principiante absoluto de Python y tengo algunos problemas con la instalación en Mac OS X. Estoy siguiendo estos dos tutoriales para instalar python: 1 y 2 . Aquí, HomeBrew se utiliza para instalar Python (con pip) y virtualenv. No tengo una opinión […]

OS X – Decidir entre entornos Python de anaconda y homebrew

Uso Python de forma extensiva en mi Mac OS X, tanto para aplicaciones numéricas como para desarrollo web (aproximadamente igual). Revisé la cantidad de instalaciones de Python que tenía en mi computadora portátil recientemente, y me sorprendió encontrar cuatro : Came with Mac OS X: /usr/bin/python Python 2.7.6 (default, Sep 9 2014, 15:04:36) [GCC 4.2.1 […]

Pip install pygraphviz falla: Falló la construcción de la rueda para pygraphviz

Tengo problemas para instalar pygraphviz en macOS 10.10.5. Tengo una instalación completamente funcional de Python 2.7.x, y me gustaría ejecutar el ejemplo de prueba de la herramienta de cola , que requiere la instalación de pygraphviz usando pip . Cuando pip install pygraphviz el comando pip install pygraphviz , recibo el siguiente mensaje de error: […]

ImportError:: Símbolo no encontrado: __PyErr_ReplaceException

Utilizo homebrew install python 2.7.10 y usr/local/bin/python está vinculado a python 2.7.10. Pero cuando ejecuto mi código de Python, se produce una excepción como se muestra a continuación. Pero cuando uso el número de importación IPython va bien. Cuando utilizo el comando python, me dice que es /usr/local/bin/python mientras que use whereis python me dice […]

Paquetes de pip no encontrados – Python elaborado

Ejecutando Python 2.7.3, instalado con HomeBrew, en un mac. Instalamos varios paquetes usando PIP, incluyendo virtualenv. (Usando virtualenv como ejemplo, pero NINGUNO de los paquetes funciona). Cuando bash ejecutarlos en el terminal, falla de la siguiente manera: $ virtualenv venv –distribute -bash: virtualenv: command not found Alternativamente: $ python virtualenv.py venv /usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python: can’t open file […]

PyQt4 en Mavericks con python 3

He creado una aplicación de Python en Xubuntu que actualmente estoy intentando ejecutar en Mavericks. El proyecto usa PyQt4 para su parte de GUI. Actualmente estoy intentando instalar PyQt4 en Mavericks y obtengo el siguiente error cuando ejecuto brew install pyqt : Error: Qt currently requires –HEAD on Mavericks He buscado una solución para esto […]

¿Necesitas ayuda para instalar lxml en os x 10.7?

He estado luchando para poder hacer from lxml import etree (por import lxml funciona bien) El error es: ImportError: dlopen(/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site- packages/lxml/etree.so, 2): Symbol not found: _htmlParseChunk Referenced from: /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/lxml/etree.so Expected in: flat namespace in /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/lxml/etree.so Utilicé pip para instalar lxml y homebrew para reinstalar libxml2 con la architecture adecuada (o eso creo) … ¿Alguien tiene […]

python pip sigue buscando instalación previa

Después de experimentar este problema de elaboración con sqlite3, hice brew rm sqlite python python3 entonces brew install python python3 Esto instaló python2.7.5 como el intérprete predeterminado y como brew instala pip junto con python, pensé que sería capaz de pip install virtualenv para instalar virtualenv para el nuevo python2.7.5. Sin embargo, estoy recibiendo -bash: […]

¿Cómo puedo instalar varias versiones de Python en el último OS X y usarlas en paralelo?

Quiero ejecutar pruebas con varias versiones de Python en OS X 10.11, que incluyen: Python 2.6 -?! Python 2.7 – por defecto – resuelto Python 3.4 -?! Python 3.5 – instalado a través de cerveza – funciona bien Conda Python 3.5 -?! Quiero realizar las pruebas a través de tox así que tox debe poder […]